From 19c04c34afb9924759fe0241449a74aec7d31d2a Mon Sep 17 00:00:00 2001
From: Caleb JA <skywise@tutanota.de>
Date: Sun, 7 Jul 2019 23:11:50 -0400
Subject: [PATCH] New package: oilshell-0.6.0

re-add nostrip


Add proper readline build option and re-add nocross
---
 srcpkgs/oilshell/template | 43 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 srcpkgs/oilshell/template

diff --git a/srcpkgs/oilshell/template b/srcpkgs/oilshell/template
new file mode 100644
index 00000000000..fd66bcfb54d
--- /dev/null
+++ b/srcpkgs/oilshell/template
@@ -0,0 +1,43 @@
+# Template file for 'oilshell'
+pkgname=oilshell
+version=0.6.0
+revision=1
+wrksrc=oil-${version}
+build_style=configure
+configure_args="--prefix=/usr $(vopt_with readline)"
+makedepends="$(vopt_if readline readline-devel)"
+short_desc="Oil, a new unix shell"
+maintainer="Caleb JA <skywise@tutanota.de>"
+license="Apache-2.0"
+homepage="https://www.oilshell.org"
+distfiles="${homepage}/download/oil-${version}.tar.xz"
+checksum=141e3a5c1997a696d65747966978aaa38921d77e303aad9e77b4ab4aedab84b7
+register_shell="/usr/bin/osh"
+nocross=yes
+nostrip=yes
+
+build_options="readline"
+desc_option_readline="Enables interactive features such as tabbed
+ autocompletion and cycling through your shell history with the
+ arrow keys"
+
+pre_build() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+}
+
+do_install() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+
+	# Install binaries
+	vbin _bin/oil.ovm
+	# Symlink osh, oshc to oil.ovm.
+	cd "${DESTDIR}"/usr/bin
+	ln -s oil.ovm osh
+	ln -s oil.ovm oshc
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}
\ No newline at end of file
